## fwupd 0.9.7

=== meson_options.txt ===
option('enable-doc', type : 'boolean', value : true, description : 'enable developer documentation')
option('enable-introspection', type : 'boolean', value : true, description : 'generate GObject Introspection data')
option('enable-man', type : 'boolean', value : true, description : 'enable man pages')
option('enable-tests', type : 'boolean', value : true, description : 'enable tests')
option('enable-lvfs', type : 'boolean', value : true, description : 'enable LVFS remotes')
option('enable-colorhug', type : 'boolean', value : true, description : 'enable ColorHug support')
option('enable-libelf', type : 'boolean', value : true, description : 'enable libelf support')
option('enable-uefi', type : 'boolean', value : true, description : 'enable UEFI support')
option('enable-uefi-labels', type : 'boolean', value : true, description : 'enable UEFI labels support')
option('enable-dell', type : 'boolean', value : true, description : 'enable Dell-specific support')
option('enable-amt', type : 'boolean', value : true, description : 'enable Intel AMT support')
option('enable-thunderbolt', type : 'boolean', value : true, description : 'enable Thunderbolt support')
option('enable-synaptics', type: 'boolean', value: true, description : 'enable Synaptics MST hub support')
option('enable-systemd', type : 'boolean', value : true, description : 'enable systemd support')
option('enable-consolekit', type : 'boolean', value : true, description : 'enable ConsoleKit support')
option('enable-dummy', type : 'boolean', value : false, description : 'enable the dummy device')
option('enable-gpg', type : 'boolean', value : true, description : 'enable the GPG verification support')
option('enable-pkcs7', type : 'boolean', value : true, description : 'enable the PKCS7 verification support')
option('with-bootdir', type : 'string', value : '/boot/efi', description : 'Directory for EFI system partition')
option('with-systemdunitdir', type: 'string', value: '', description: 'Directory for systemd units')
option('with-udevdir', type: 'string', value: '', description: 'Directory for udev rules')
