## fwupd 0.1.5

=== debian/changelog ===
fwupd (0.1.5-0ubuntu3) wily; urgency=medium

  * update nested cab backport patch to cover more items found in CAB.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 16 Oct 2015 15:31:16 -0500

fwupd (0.1.5-0ubuntu2) wily; urgency=medium

  * Backport 4c9f8fd from appstream-glib into fwupd 1.5 to fix
    CAB files with nested directories.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 15 Oct 2015 23:51:20 -0500

fwupd (0.1.5-0ubuntu1) wily; urgency=medium

  [ Mario Limonciello ]
  * Backport 697eb603 from upstream to fix fallback from online to offline
    modes for installing CAB files.

  [ Mathieu Trudel-Lapierre ]
  * Upload to wily (from git revision for the package in Debian NEW).

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 Sep 2015 12:18:59 -0400
