=== debian/control ===
Source: fwupd
Priority: optional
Maintainer: Debian EFI <debian-efi@lists.debian.org>
Uploaders: Steve McIntyre <93sam@debian.org>,
           Daniel Jared Dominguez <jared_dominguez@dell.com>,
           Matthias Klumpp <mak@debian.org>,
           Mario Limonciello <mario_limonciello@dell.com>
Build-Depends: debhelper (>= 9.0.0),
               dh-autoreconf,
               docbook-utils,
               gettext,
               intltool,
               libappstream-glib-dev (>= 0.3.5),
               libarchive-dev,
               libcolord-dev (>= 1.0.0),
               libfwup-dev,
               libgcab-dev,
               gcab,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.42.1),
               libgpgme11-dev,
               libgudev-1.0-dev,
               libgusb-dev (>= 0.2.2),
               libpolkit-gobject-1-dev (>= 0.103),
               libsqlite3-dev,
               pkg-config,
               libsoup2.4-dev,
               valgrind
Standards-Version: 3.9.6.1
Section: admin
Homepage: https://github.com/hughsie/fwupd
Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupd.git

Package: libfwupd1
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Firmware update daemon library
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the library used by the daemon.

Package: fwupd
Architecture: linux-any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: fwupdate
Multi-Arch: foreign
Description: Firmware update daemon
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details

Package: fwupd-dev
Architecture: linux-any
Multi-Arch: same
Depends: fwupd (= ${binary:Version}),
         ${misc:Depends}
Description: development files for fwupd
 fwupd is a daemon to allow session software to update device firmware.
 You can either use a GUI software manager like GNOME Software to view and
 apply updates, the command-line tool or the system D-Bus interface directly.
 Currently, firmware updates using the UEFI capsule format and for the
 ColorHug are supported. More formats may be supported in the future.
 See <https://github.com/hughsie/fwupd> for details
 .
 This package provides the development files for fwupd
