=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#GPGME needs this for proper building on x86
export CFLAGS += -D_FILE_OFFSET_BITS=64

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --with-systemdunitdir=/lib/systemd/system \
				--disable-colorhug

#Disabled for now.
#https://github.com/hughsie/fwupd/issues/14
override_dh_auto_test:
