## fwupd 0.7.0

=== debian/changelog ===
fwupd (0.7.0-0ubuntu4) xenial; urgency=medium

  * Backport UEFI naming to DMI Product Name from master

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 14 Apr 2016 12:17:39 -0500

fwupd (0.7.0-0ubuntu3) xenial; urgency=medium

  * Backport commits from upstream to fix problems on big endian.
  * Drop extra patches that are no longer applied
  * Require test suite passing on all architectures (LP: #1565114)

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 03 Apr 2016 14:02:29 -0500

fwupd (0.7.0-0ubuntu2) xenial; urgency=medium

  * Don't make test suite failures on big endian architectures fail the build (to be removed later)

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 01 Apr 2016 16:40:03 -0500

fwupd (0.7.0-0ubuntu1) xenial; urgency=medium

  * New upstream version (LP: #1565042)
  * Install static app-info file for fwupd
  * update standards version
  * Drop alienware version quirk table patch included upstream
  * Update build-depends to libasppstream-glib-dev 0.5.10
  * Add symbols files for libfwupd and libdfu1
  * Adjust build depends to ensure building with at least gnupg 2.1.0
  * Re-enable test suite
  * Include plugins not compiled in as providers in install
  * Use dh_install --fail-missing to catch other things added upstream at build
  * Use only libtool-bin in build depends
  * Update headers installed for libdfu-dev
  * Use correct dpkg-architecture variable to apply
    -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE.
  * Update symbols

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 01 Apr 2016 13:33:50 -0500

fwupd (0.6.3-0ubuntu2) xenial; urgency=medium

  * Merge changes that were dropped from last upload.
  * Drop patches that were included in 0.6.3 release
  * Conditionally enable colorhug if a new enough version is available.  
    This will allow for easier backporting in the future
  * Fix FTBFS on powerpc related to GPGME

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 30 Mar 2016 08:23:50 -0500

fwupd (0.6.3-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * debian/control:
    - Bump build-depends on libappstream-glib-dev
  * debian/libdfu1.symbols:
  * debian/libfwupd1.symbols:
    - Add symbols files

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 30 Mar 2016 15:14:56 +1300

fwupd (0.6.2-1ubuntu3) xenial; urgency=medium

  * Explicitly turn off UEFI if libfwup-dev wasn't installed to fix FTBFS
    on these other architectures.
  * Backport unlock support from upstream
  * Install static app-info file for fwupd

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 29 Mar 2016 17:10:23 -0500

fwupd (0.6.2-1ubuntu2) xenial; urgency=medium

  * Only build against libfwup-dev on x86 and arm architectures

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 29 Mar 2016 15:44:29 -0500

fwupd (0.6.2-1ubuntu1) xenial; urgency=medium

  * Enable quirked firmware versions on Alienware as well

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 21 Mar 2016 09:05:51 -0500

fwupd (0.6.2-1) unstable; urgency=medium

  * New upstream release (0.6.2)
    - Fixes for Dell HW versions and UEFI get-results.
  * Set polkit rules to be effective with proper group (Closes: #808832)
  * Add rules compatible with polkit 0.105. (Closes: #808833)

 -- Mario Limonciello <mario_limonciello@dell.com>  Mon, 15 Feb 2016 08:37:19 -0600

fwupd (0.6.0-1) unstable; urgency=medium

  * New upstream release (0.6.0)
    - Adds support for DFU based flashing.
  * Generate libdfu* packages for the newly included libdfu support
  * Update copyright for current source
  * Rename fwupd-dev to the more conventionally named libfwupd-dev
  * update appstream-glib version requirement
  * add gtk-doc-tools to build depends and cleanup after using them.

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 08 Dec 2015 13:05:50 -0600

fwupd (0.5.4-1) unstable; urgency=medium

  * New upstream release (0.5.4).
    - Adds support for compiling against fwupdate 0.5.
  * Fix FTBFS on armhf by passing -D_FILE_OFFSET_BITS=64 as well.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 03 Dec 2015 10:51:48 -0600

fwupd (0.5.3-2) unstable; urgency=medium

  * Add build dependency on udev.  (Closes: #804279)
  * Fix hardening flags.

 -- Mario Limonciello <mario_limonciello@dell.com>  Sat, 07 Nov 2015 11:33:31 -0600

fwupd (0.5.3-1) unstable; urgency=medium

  * New upstream release (0.5.3)
  * Drop all patches, now upstream.
  * debian/control: Update build dependencies for new upstream version.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 05 Nov 2015 23:23:19 -0600

fwupd (0.1.5-1) unstable; urgency=low

  * Initial release (Closes: #793446)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 30 Sep 2015 17:04:40 -0500
