=== debian/control ===
--- 
+++ 
@@ -10,23 +10,28 @@
                docbook-utils,
                gettext,
                intltool,
-               libappstream-glib-dev (>= 0.3.5),
+               libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libfwup-dev,
+               libfwup-dev [amd64 arm64 armhf armel i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
-               libglib2.0-dev (>= 2.42.1),
+               libglib2.0-dev (>= 2.45.8),
                libgpgme11-dev,
+               gnupg2 (>= 2.1.0),
+               libtool-bin,
                libgudev-1.0-dev,
+               udev,
                libgusb-dev (>= 0.2.2),
                libpolkit-gobject-1-dev (>= 0.103),
                libsqlite3-dev,
                pkg-config,
                libsoup2.4-dev,
+               gtk-doc-tools,
+               libcolorhug-dev,
                valgrind
-Standards-Version: 3.9.6.1
+Standards-Version: 3.9.7
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
 Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
@@ -47,6 +52,21 @@
  .
  This package provides the library used by the daemon.
 
+Package: libdfu1
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon library for DFU support
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the library used by the daemon for DFU support.
+
 Package: fwupd
 Architecture: linux-any
 Depends: ${misc:Depends},
@@ -61,12 +81,15 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
 
-Package: fwupd-dev
+Package: libfwupd-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: fwupd (= ${binary:Version}),
+Depends: libfwupd1 (= ${binary:Version}),
          ${misc:Depends}
-Description: development files for fwupd
+Breaks: fwupd-dev (<< 0.5.4-2~)
+Replaces: fwupd-dev (<< 0.5.4-2~)
+Section: libdevel
+Description: development files for libfwupd
  fwupd is a daemon to allow session software to update device firmware.
  You can either use a GUI software manager like GNOME Software to view and
  apply updates, the command-line tool or the system D-Bus interface directly.
@@ -74,4 +97,20 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
  .
- This package provides the development files for fwupd
+ This package provides the development files for libfwupd
+
+Package: libdfu-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libdfu1 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libdfu
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the development files for libdfu
