## fwupd 0.7.2

=== debian/changelog ===
fwupd (0.7.2-0ubuntu1) yakkety; urgency=medium

  * new upstream version.
  * fixes fwupd half of (LP: #1589585)
  * drop patches upstream.
  * update symbols.

 -- Mario Limonciello <mario_limonciello@dell.com>  Fri, 19 Aug 2016 12:32:05 -0500

fwupd (0.7.0-0ubuntu7) yakkety; urgency=medium

  * Download metadata from Amazon S3 instead. (LP: #1612365)

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 11 Aug 2016 12:46:46 -0500

fwupd (0.7.0-0ubuntu6) yakkety; urgency=medium

  * Fix USB audio devices not working properly (LP: #1574079)

 -- Mario Limonciello <mario_limonciello@dell.com>  Wed, 08 Jun 2016 21:31:00 -0500

fwupd (0.7.0-0ubuntu5) yakkety; urgency=medium

  * Add name and summary to Rival Steelseries device (LP: #1575248)

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 10 May 2016 09:39:57 -0500
