## fwupd 0.7.4

=== debian/changelog ===
fwupd (0.7.4-2+deb9u1) stretch-security; urgency=high

  * CVE-2020-10759: Prevent a possible signature verification issue as the
    return value of gpgme_op_verify_result was not being checked.
    (Closes: #962517)

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Jul 2020 10:30:12 +0100

fwupd (0.7.4-2) unstable; urgency=medium

  * Backport a patch to make sure that appstream metadata validates
    properly. (Closes: #837765)
  * Drop armel from libfwup-dev build dependency architecture list.
  * Drop valgrind build dependency for mipsel, mips64el, armhf, and armel
    where it is segfaulting.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 11 Oct 2016 10:17:09 -0500

fwupd (0.7.4-1) unstable; urgency=medium

  * New upstream version (0.7.4)
  * Update symbols file.
  * drop binary patches
  * Drop existing upstream patches
  * Add a patch that verifies providers are called with proper mode
  * debian/control:
  - Update dell email addresses (_ -> .)
  - Add an explicit build dependency on new version of efivar
  - Add build dep on gir1.2-appstreamglib-1.0
  * debian/rules:
  - Adjust architectures that tests are run for missing valgrind
  -  Add autoconf archive to build-depends (Closes: 837826)
  -  Adjust daemon install path to be non multi-arch (Closes: #808831)
  * Backport patch to make sure test suite runs without sysfs
    bind mounted.
  * Mark fwupd-doc package as Multi-Arch: foreign.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 03 Oct 2016 14:55:16 -0500

fwupd (0.7.3-1) unstable; urgency=medium

  * New upstream version (0.7.3)
  * debian/rules: Adjust launch of test suite due to 4eb527
  * Drop wheel/sudo patch, and instead make change in debian/rules at build.
  * Update Vcs-Git URL to secure URL
  * Update standards version
  * Add libsmbios-dev to build dependencies for Dell features
  * Drop gtk-doc documentation into new package fwupd-doc
  * Add new packages for lib0bitdo support
  * require building against libfwup 7
  * Backport patch to allow building on older appstream-glib
  * Add a lintian override for fuzzing tests
  * add gir:depends for libdfu1
  * don't install ebitdo-tool helper tool
  * Backport patches for s390x failures.
    - include binary patch of example.elf
  * set libsmbios to i386/amd64 only
  * Add lintian override for systemd services missing Install.
  * Add libelf-dev to build-depends.

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 01 Sep 2016 13:00:30 -0500

fwupd (0.7.2-1) unstable; urgency=medium

  [ Mario Limonciello ]
  * New upstream version (0.7.2)
  * Drop unnecessary patches now upstream.
  * Add gobject-introspection to build dependencies

  [ Michael Biebl ]
  * Split GObject introspection files into a separate package
    named gir1.2-fwupd-1.0. (Fixes: #826743)

  [ Jurica Stanojkovic ]
  * Disable test suite on mips to prevent FTBFS.
    Fixes: #826251)

 -- Mario Limonciello <mario_limonciello@dell.com>  Tue, 28 Jun 2016 08:45:42 -0500

fwupd (0.7.0-1) unstable; urgency=medium

  * New upstream version (0.7.0)
  * Install static app-info file for fwupd
  * Drop alienware version quirk table patch included upstream
  * Update headers installed for libdfu-dev
  * Use correct dpkg-architecture variable to apply
    -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
  * Block builds on test suite failures
  * update libgusb requirement in debian/control
  * update symbols
  * Backport commits from upstream to fix problems on big endian
  * Backport commit to remove requirement for gnupg 2.1
  * Backport UEFI naming to DMI Product Name from master.
  * Set HOME to current directory for the test suite to run properly on buildd
  * Stop gpg-agent process that persists after test suite run (Closes: #820669)

 -- Mario Limonciello <mario_limonciello@dell.com>  Sun, 17 Apr 2016 23:32:05 -0500

fwupd (0.6.3-1) unstable; urgency=medium

  * New upstream release (0.6.3)
  * Enable quirked firmware versions on Alienware as well
  * Conditionally enable colorhug if a new enough version is available.
    This will allow for easier backporting in the future
  * update standards version
  * Only build against libfwup-dev on x86 and arm architectures
  * add armel to supported architectures too
  * Explicitly turn off UEFI if libfwup-dev wasn't installed to fix FTBFS
    on these other architectures.
  * Fix FTBFS on powerpc related to GPGME
  * Update build-depends to libasppstream-glib-dev 0.5.10
  * Add symbols files for libfwupd and libdfu1
  * Adjust build depends to ensure building with at least gnupg 2.1.0
  * Add libtool-bin into build-depends
  * Re-enable test suite (but don't block additional failures)
  * Include plugins not compiled in as providers in install
  * Install static app-info file for fwupd
  * Use dh_install --fail-missing to catch other things added upstream
    at build time
  * Backport patches from upstream that fix the test suite as a non-root user

 -- Mario Limonciello <mario_limonciello@dell.com>  Thu, 31 Mar 2016 08:59:34 -0500
