=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Priority: optional
 Maintainer: Debian EFI <debian-efi@lists.debian.org>
 Uploaders: Steve McIntyre <93sam@debian.org>,
-           Daniel Jared Dominguez <jared_dominguez@dell.com>,
+           Daniel Jared Dominguez <jared.dominguez@dell.com>,
            Matthias Klumpp <mak@debian.org>,
-           Mario Limonciello <mario_limonciello@dell.com>
+           Mario Limonciello <mario.limonciello@dell.com>
 Build-Depends: debhelper (>= 9.0.0),
                dh-autoreconf,
                docbook-utils,
@@ -13,29 +13,34 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libfwup-dev [amd64 arm64 armhf armel i386],
+               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
+               libfwup-dev (>=7) [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.45.8),
+               gir1.2-appstreamglib-1.0,
                libgpgme11-dev,
-               gnupg2 (>= 2.1.0),
                libtool-bin,
                libgudev-1.0-dev,
                udev,
-               libgusb-dev (>= 0.2.2),
+               libgusb-dev (>= 0.2.9),
                libpolkit-gobject-1-dev (>= 0.103),
                libsqlite3-dev,
                pkg-config,
                libsoup2.4-dev,
                gtk-doc-tools,
                libcolorhug-dev,
-               valgrind
-Standards-Version: 3.9.7
+               gobject-introspection,
+               libsmbios-dev [amd64 i386],
+               libelf-dev,
+               autoconf-archive,
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
+Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
-Vcs-Git: git://anonscm.debian.org/uefi/fwupd.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=uefi/fwupd.git
+Vcs-Git: https://anonscm.debian.org/git/uefi/fwupd.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=uefi/fwupd.git
 
 Package: libfwupd1
 Architecture: linux-any
@@ -55,6 +60,7 @@
 Package: libdfu1
 Architecture: linux-any
 Depends: ${misc:Depends},
+         ${gir:Depends},
          ${shlibs:Depends}
 Multi-Arch: same
 Description: Firmware update daemon library for DFU support
@@ -66,6 +72,22 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the library used by the daemon for DFU support.
+
+Package: libebitdo1
+Architecture: linux-any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Multi-Arch: same
+Description: Firmware update daemon library for 0bitdo support
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the library used by the daemon for 0bitdo device
+ support.
 
 Package: fwupd
 Architecture: linux-any
@@ -81,10 +103,27 @@
  ColorHug are supported. More formats may be supported in the future.
  See <https://github.com/hughsie/fwupd> for details
 
+Package: fwupd-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends},
+Description: Firmware update daemon documentation (HTML format)
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides development documentation for creating a package that
+ uses fwupd.
+
 Package: libfwupd-dev
 Architecture: linux-any
 Multi-Arch: same
 Depends: libfwupd1 (= ${binary:Version}),
+         gir1.2-fwupd-1.0 (= ${binary:Version}),
          ${misc:Depends}
 Breaks: fwupd-dev (<< 0.5.4-2~)
 Replaces: fwupd-dev (<< 0.5.4-2~)
@@ -98,6 +137,20 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libfwupd
+
+Package: gir1.2-fwupd-1.0
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends},
+         ${gir:Depends}
+Breaks: libfwupd1 (<< 0.7.2-1~)
+Replaces: libfwupd1 (<< 0.7.2-1~)
+Section: introspection
+Description: GObject introspection data for libfwupd
+ This package provides the introspection data for libfwupd.
+ .
+ It can be used by packages using the GIRepository format to generate
+ dynamic bindings.
 
 Package: libdfu-dev
 Architecture: linux-any
@@ -114,3 +167,19 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libdfu
+
+Package: libebitdo-dev
+Architecture: linux-any
+Multi-Arch: same
+Depends: libdfu1 (= ${binary:Version}),
+         ${misc:Depends}
+Section: libdevel
+Description: development files for libebitdo
+ fwupd is a daemon to allow session software to update device firmware.
+ You can either use a GUI software manager like GNOME Software to view and
+ apply updates, the command-line tool or the system D-Bus interface directly.
+ Currently, firmware updates using the UEFI capsule format and for the
+ ColorHug are supported. More formats may be supported in the future.
+ See <https://github.com/hughsie/fwupd> for details
+ .
+ This package provides the development files for libebitdo
