=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with autoreconf
+	dh $@ --with autoreconf,gir
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
@@ -25,8 +25,17 @@
 		export UEFI="--disable-uefi"; \
 	fi; \
 	dh_auto_configure -- --with-systemdunitdir=/lib/systemd/system \
+				--enable-gtk-doc \
+				--libexecdir=\$${prefix}/lib \
 				$(COLORHUG) $$UEFI
 
 override_dh_install:
 	find debian/tmp/usr -name "*a" | xargs rm -f
+	rm -f debian/tmp/usr/bin/ebitdo-tool
+	sed -i 's,wheel,sudo,' ./debian/tmp/usr/share/polkit-1/rules.d/org.freedesktop.fwupd.rules
 	dh_install --fail-missing
+
+override_dh_auto_test:
+	if [ -x /usr/bin/valgrind ] ; then \
+		dh_auto_test; \
+	fi
