## fwupd 0.8.1

=== debian/changelog ===
fwupd (0.8.1-3) unstable; urgency=medium

  * Backport upstream commit to make valgrind optional (Closes: #856344)
  * Backport upstream commit to make /boot/efi optional to start
    fwupd.service.

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 28 Feb 2017 08:30:56 -0600

fwupd (0.8.1-2) unstable; urgency=medium

  * Disable optional thunderbolt support until ITP is done.

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 27 Feb 2017 14:01:13 -0600

fwupd (0.8.1-1) unstable; urgency=medium

  * New upstream version (0.8.1).
    - Fixes systemd confinement crashes (Closes: #856145) (LP: #1663548)
  * loosen dependencies on libefivar-dev and libfwup-dev
  * Optionally enable thunderbolt

 -- Mario Limonciello <mario.limonciello@dell.com>  Mon, 27 Feb 2017 08:33:23 -0600

fwupd (0.8.0-2) unstable; urgency=medium

  * Only build synaptics on supported arch (fixes FTBFS)

 -- Mario Limonciello <mario.limonciello@dell.com>  Fri, 10 Feb 2017 11:58:18 -0600

fwupd (0.8.0-1) unstable; urgency=medium

  * New upstream version (0.8.0)
  * Refresh symbols.
  * Drop all now upstream patches.
  * Enable build hardening flags
  * Drop valgind build dependency from m68k
  * Fix fwupd process leaking into dbus cgroup
    (Closes: #845406)

 -- Mario Limonciello <mario.limonciello@dell.com>  Thu, 09 Feb 2017 14:04:38 -0600
