=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
-               libfwup-dev (>=7) [amd64 arm64 armhf i386],
+               libefivar-dev [amd64 arm64 armhf armel i386],
+               libfwup-dev [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
@@ -34,8 +34,10 @@
                gobject-introspection,
                libsmbios-dev [amd64 i386],
                libelf-dev,
+#disabled until ITP 855065 is done
+#              libtbtfwu-dev,
                autoconf-archive,
-               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k]
 Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
@@ -75,19 +77,12 @@
 
 Package: libebitdo1
 Architecture: linux-any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}
 Multi-Arch: same
-Description: Firmware update daemon library for 0bitdo support
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
- See <https://github.com/hughsie/fwupd> for details
- .
- This package provides the library used by the daemon for 0bitdo device
- support.
+Priority: extra
+Section: oldlibs
+Description: Firmware update daemon library for 0bitdo support (transitional package)
+ This is a transitional package for 0bitdo support that was moved into a plugin.
 
 Package: fwupd
 Architecture: linux-any
@@ -171,15 +166,8 @@
 Package: libebitdo-dev
 Architecture: linux-any
 Multi-Arch: same
-Depends: libdfu1 (= ${binary:Version}),
-         ${misc:Depends}
-Section: libdevel
-Description: development files for libebitdo
- fwupd is a daemon to allow session software to update device firmware.
- You can either use a GUI software manager like GNOME Software to view and
- apply updates, the command-line tool or the system D-Bus interface directly.
- Currently, firmware updates using the UEFI capsule format and for the
- ColorHug are supported. More formats may be supported in the future.
- See <https://github.com/hughsie/fwupd> for details
- .
- This package provides the development files for libebitdo
+Depends: ${misc:Depends}
+Priority: extra
+Section: oldlibs
+Description: development files for libebitdo (transitional package)
+ This is a transitional package for 0bitdo support that was moved into a plugin.
