## fwupd 0.8.3

=== debian/changelog ===
fwupd (0.8.3-1) oldstable; urgency=medium

  * Update to 0.8.3 point release
    - Upstream no longer supports the 0.7.x series
  * Drop existing patches all merged into 0.8.3 release.
  * Drop no longer used libebitdo1 and libebitdo-dev packages
  * Refresh symbols
  * Backport series of commits to allow better longevity on 0.8.x
    - Use a CNAME to redirect to the correct CDN for metadata (Closes: #961490)
    - Do not abort startup if the XML metadata file is invalid
    - Add the Linux Foundation public GPG keys for firmware and metadata
    - Raise the metadata limit to 10Mb
    - Validate that gpgme_op_verify_result() returned at least one signature
      (Closes: #962517)

 -- Mario Limonciello <mario.limonciello@dell.com>  Tue, 07 Jul 2020 23:15:59 -0500
