=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                libappstream-glib-dev (>= 0.5.10),
                libarchive-dev,
                libcolord-dev (>= 1.0.0),
-               libefivar-dev [amd64 arm64 armhf armel i386],
-               libfwup-dev [amd64 arm64 armhf i386],
+               libefivar-dev (>= 28) [amd64 arm64 armhf armel i386],
+               libfwup-dev (>=7) [amd64 arm64 armhf i386],
                libgcab-dev,
                gcab,
                libgirepository1.0-dev,
@@ -34,10 +34,8 @@
                gobject-introspection,
                libsmbios-dev [amd64 i386],
                libelf-dev,
-#disabled until ITP 855065 is done
-#              libtbtfwu-dev,
                autoconf-archive,
-               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel !m68k]
+               valgrind[!mips !sparc64 !sh4 !ppc64 !powerpcspe !hppa !alpha !mips64el !armhf !armel !mipsel]
 Standards-Version: 3.9.8
 Section: admin
 Homepage: https://github.com/hughsie/fwupd
@@ -74,15 +72,6 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the library used by the daemon for DFU support.
-
-Package: libebitdo1
-Architecture: linux-any
-Depends: ${misc:Depends}
-Multi-Arch: same
-Priority: extra
-Section: oldlibs
-Description: Firmware update daemon library for 0bitdo support (transitional package)
- This is a transitional package for 0bitdo support that was moved into a plugin.
 
 Package: fwupd
 Architecture: linux-any
@@ -162,12 +151,3 @@
  See <https://github.com/hughsie/fwupd> for details
  .
  This package provides the development files for libdfu
-
-Package: libebitdo-dev
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends}
-Priority: extra
-Section: oldlibs
-Description: development files for libebitdo (transitional package)
- This is a transitional package for 0bitdo support that was moved into a plugin.
