=== debian/tests/control ===
Tests: ci
